Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625905 - Shows Asia/Kolkata instead of Asia/Calcutta in timezone
Shows Asia/Kolkata instead of Asia/Calcutta in timezone
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tzdata (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 14:32 EDT by Dhaval
Modified: 2015-05-04 21:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 07:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dhaval 2010-08-20 14:32:01 EDT
Description of problem:
Timezone is not updated in System-Config-Date GUI. Specifically Asia/Kolkata timezone. Actually its Asia/Calcutta. /usr/share/zoneinfo/Asia/Calcutta shows perfect file but in System-Config-Date its showing Kolkata


Version-Release number of selected component (if applicable):
System-Config-Date
Name        : system-config-date
Arch        : noarch
Version     : 1.9.59
Release     : 1.fc13
Size        : 3.5 M
Repo        : installed
From repo   : updates

tzdata
Name        : tzdata
Arch        : noarch
Version     : 2010k
Release     : 1.fc13
Size        : 1.8 M
Repo        : installed
From repo   : updates


How reproducible:
Install above version of tzdata and System-Config-Date open system-config-date and see timezone Asia/Kolkata instead of Asia/Calcutta

Steps to Reproduce:
1. yum install tzdata
2. yum install System-Config-Date
3.
  
Actual results:
Asia/Kolkata

Expected results:
Asia/Calcutta

Additional info:
I had upgraded to Fedora 13 from Fedora 10. I tried to change timezone but its showing Asia/Kolkata if I select that and click on Ok button then it gives error "Couldnt make changes to /etc/ntp.conf or /etc/sysconfig/network file"

Solution:
After Checking some Codes of python script. I found that python script reads timezone from /usr/share/zoneinfo/zone.tab file which shows Asia/Kolkata instead of Asia/Calcutta
Comment 1 Nils Philippsen 2010-08-24 05:36:42 EDT
These are two separate issues:

1. The time zone being named "Asia/Kolkata" which is the correct name as far as I can say ("Calcutta" is a formerly used, anglicised name according to http://en.wikipedia.org/wiki/Kolkata ). I think nothing should be changed, but if at all, this would have to be done in the tzdata component.

2. The error message, which seems to be the same as bug #623237 to me. I've added you onto the CC list of this bug.
Comment 2 Bug Zapper 2011-06-01 07:00:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.